package date;

# Date library
#  milan ramaiya / decadence of evolution
#
# Usage:
#  call useTime 

  ($sec,$min,$hour,$day,$mon,$year,$wday,$yday,$isdst) = localtime(time);

  @mon_s = ("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sept","Oct","Nov","Dec");
  @mon_l = ("January","February","March","April","May","June","July","August","September","October","November","December");
  @day_s = ('Sun','Mon','Tues','Wed','Thurs','Fri','Sat');
  @day_l = ('Sunday','Monday','Tuesday','Wednesday','Thursday','Friday','Saturday');
  
  $year += 1900;
  
sub useTime {
  $time = ( @_ ? @_[0] : time);
}

sub mdyy {
  $d = ( @_ ? @_[0] : "/");
  return join('',&m,$d,&d,$d,&yy);
}

sub mdyyyy {
  $d = ( @_ ? @_[0] : "/");
  return join('',&m,$d,&d,$d,&yyyy);
}

sub mmddyy {
  $d = ( @_ ? @_[0] : "/");
  return join('',&mm,$d,&dd,$d,&yy);
}

sub mmddyyyy {
  $d = ( @_ ? @_[0] : "/");
  return join('',&mm,$d,&dd,$d,&yyyy);
}

sub yyyymmdd {
  $d = ( @_ ? @_[0] : "/");
  return join('',&yyyy,$d,&mm,$d,&dd);
}
  
sub ts {
  return $sec;
}

sub tss {
  return sprintf("%02d",$sec);
}

sub tm {
  return $min;
}

sub tmm {
  return sprintf("%02d",$min);
}

sub th {
  return $hour;
}

sub thh {
  return sprintf("%02d",$hour);
}

sub m {
  return $mon+1;
}

sub mm {
  return sprintf("%02d",$mon+1)
}

sub mmm {
  return $mon_s[$mon];
}

sub mmmm {
  return $mon_l[$mon];
}

sub d {
  return $day;
}

sub dd {
  return sprintf("%02d",$day)
}

sub ddd {
  return $day_s[$wday];
}

sub dddd {
  return $day_l[$wday];
}

sub yy {
  return sprintf("%02d",$year % 100);
}

sub yyyy {
  return $year;
}